Subject: 23.0.92; Broken auto-filling in message-mode

From: Tassilo Horn <[email-masked]>
Date: Wed, 08 Apr 2009 12:06:51 +0200

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

I use this message-mode setup:

--8<---------------cut here---------------start------------->8---
(defun th-message-mode-init ()
  (setq fill-column 72)
  (turn-on-auto-fill))

(add-hook 'message-mode-hook 'th-message-mode-init)
--8<---------------cut here---------------end--------------->8---

When I follow up to a message and write some text longer than
fill-column it is wrapped, but comment chars are inserted.  Here's an
example:

--8<---------------cut here---------------start------------->8---
--text follows this line--
Tim Landscheidt <[email-masked]> writes:

>   Wenn aber Gnus ein www.gnus.org "erkennt", dann wird die
> Benutzererwartung (hoffentlich :-)) mit dem übereinstimmen,
> was Gnus darin gesehen hat; nur muss Gnus das dann halt noch
> browse-*url* mitteilen.

foo bar baz bece bec,g imtcp.cm muitmui mit.pm mtim.p kmtekm kmcteik */
> ketm 
-- 
Chuck Norris once ate a whole cake before his friends could tell him there was a stripper in it. 
--8<---------------cut here---------------end--------------->8---

The line starting with "foo bar baz" was entered by me and after
inserting a space after "ketm" the comment chars where inserted.
(`comment-start' is ">" and `comment-end' is "*/" in message-mode.)

I was able to reproduce that with emacs -Q by invoking M-x mail,
switching to message-mode, enabling auto-fill-mode, setting comment-end
to "*/", inserting the text above, and starting to write.

It seems to me that comment-end set to "*/" seems to trigger this
behavior.  When I do the emacs -Q procedure it's set to "" by default,
and then the bug doesn't occur.  So I guess message-mode should set it
to "" in order to avoid such strange effects.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/usr/share/emacs/23.0.92/etc/DEBUG for instructions.

In GNU Emacs 23.0.92.1 (x86_64-pc-linux-gnu, GTK+ Version 2.14.7)
 of 2009-04-06 on thinkpad
Windowing system distributor `The X.Org Foundation', version 11.0.10503000
configured using `configure  '--prefix=/usr' '--host=x86_64-pc-linux-gnu' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--datadir=/usr/share' '--sysconfdir=/etc' '--localstatedir=/var/lib' '--libdir=/usr/lib64' '--program-suffix=-emacs-23' '--infodir=/usr/share/info/emacs-23' '--with-sound' '--with-x' '--with-toolkit-scroll-bars' '--with-gif' '--with-jpeg' '--with-png' '--with-rsvg' '--with-tiff' '--with-xpm' '--with-freetype' '--with-xft' '--with-libotf' '--with-m17n-flt' '--with-x-toolkit=gtk' '--without-hesiod' '--without-kerberos' '--without-kerberos5' '--with-gpm' '--with-dbus' '--build=x86_64-pc-linux-gnu' 'build_alias=x86_64-pc-linux-gnu' 'host_alias=x86_64-pc-linux-gnu' 'CFLAGS=-g -ggdb -O1 -pipe' 'LDFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Group

Minor modes in effect:
  diff-auto-refine-mode: t
  gnus-topic-mode: t
  gnus-undo-mode: t
  shell-dirtrack-mode: t
  rcirc-track-minor-mode: t
  recentf-mode: t
  window-number-meta-mode: t
  window-number-mode: t
  savehist-mode: t
  exec-abbrev-cmd-mode: t
  show-paren-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<tab> f u n <tab> <return> M-2 <down> <down> C-h f 
<return> M-2 M-1 M-2 <tab> <return> <down> <down> <down> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <f8> <C-f8> <C-f8> <C-f8> <C-f8> C-h 
f <return> M-2 <tab> <return> <down> <down> <down> 
<up> <up> <up> <down> <down> <down> <down> <down> <down> 
<down> <down> <up> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <up> <up> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> C-x k 
<return> C-x k <return> C-h v c o m m <tab> e n t <tab> 
<tab> s t <tab> a <tab> <return> C-h v c o m m <tab> 
e n <tab> e n <tab> <tab> <return> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <down> <return> <down> <down> 
<down> <down> <down> <down> C-c C-c c l s <return> 
c <return> c <return> c <return> c <return> v v s s 
C-g C-g # # B <backspace> y q l s M-x r e b <retur
n>

Recent messages:
20090408T114418.071> Deleting article 743 in gmx
20090408T114418.140> Registry: article <[email-masked]> going from nnml+Popmail:gmx to nil
20090408T114418.141> Registry: article <8815992.30750761239180429897@ecmessenger> going from nnml+Popmail:gmx to nil
20090408T114418.302> Exiting summary buffer and applying spam rules
20090408T114418.412> No more unread newsgroups
(No changes need to be saved)
20090408T114419.998> Saving /home/horn/.newsrc.eld...
Saving file /home/horn/.newsrc.eld...
Wrote /home/horn/.newsrc.eld
20090408T114420.055> Saving /home/horn/.newsrc.eld...done

-- 
Chuck Norris once shat blood - the blood of 11,940 natives he had killed and eaten.